- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ec2_vpc_net_info – Gather information about ec2 VPCs in AWS

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Gather information about ec2 VPCs in AWS

- This module was called `ec2_vpc_net_facts` before Ansible 2.9. The usage did not change.

Aliases: ec2_vpc_net_facts

## Requirements

The below requirements are needed on the host that executes this module.

- boto

- boto3

- botocore

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
filters - |  | A dict of filters to apply. Each dict item consists of a filter key and a filter value. See https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DescribeVpcs.html for possible filters.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.
vpc_ids - added in 2.5 |  | A list of VPC IDs that exist in your account.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: These examples do not set authentication details, see the AWS Guide for details.

    # Gather information about all VPCs
    - ec2_vpc_net_info:

    # Gather information about a particular VPC using VPC ID
    - ec2_vpc_net_info:
        vpc_ids: vpc-00112233

    # Gather information about any VPC with a tag key Name and value Example
    - ec2_vpc_net_info:
        filters:
          "tag:Name": Example

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
vpcs complex | success | Returns an array of complex objects as described below.
| cidr_block string | always | The IPv4 CIDR block assigned to the VPC.
| classic_link_dns_supported boolean | always | True/False depending on attribute setting for classic link DNS support.
| classic_link_enabled boolean | always | True/False depending on if classic link support is enabled.
| enable_dns_hostnames boolean | always | True/False depending on attribute setting for DNS hostnames support.
| enable_dns_support boolean | always | True/False depending on attribute setting for DNS support.
| id string | always | The ID of the VPC (for backwards compatibility).
| instance_tenancy string | always | The instance tenancy setting for the VPC.
| ipv6_cidr_block_association_set complex | always | An array of IPv6 cidr block association set information.
|  | association_id string | always | The association ID
|  | ipv6_cidr_block string | always | The IPv6 CIDR block that is associated with the VPC.
|  | ipv6_cidr_block_state dictionary | always | A hash/dict that contains a single item. The state of the cidr block association.
|  |  | state string | always | The CIDR block association state.
| is_default boolean | always | True if this is the default VPC for account.
| state string | always | The state of the VPC.
| tags dictionary | always | A dict of tags associated with the VPC.
| vpc_id string | always | The ID of the VPC .

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by the Ansible Core Team. [core]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Rob White (@wimnat)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.